Api reference
List Members
Retrieve members with optional filtering and pagination
GET
/membersRetrieve members with optional filtering and pagination
AuthorizationBearer <token>
Use your private API key (sk_xxx) as the bearer token
In: header
Query Parameters
search?string
Search by externalId, email, or name
limit?integer
Results per page (max 100)
Default
50Range
value <= 100offset?integer
Number of results to skip
Default
0Response Body
application/json
curl -X GET "https://app.useloyalty.app/api/v1/members"{
"members": [
{
"id": "string",
"externalId": "string",
"email": "user@example.com",
"name": "string",
"avatarUrl": "http://example.com",
"points": 0,
"totalPointsEarned": 0,
"currentStreak": 0,
"longestStreak": 0,
"metadata": {},
"createdAt": "2019-08-24T14:15:22Z"
}
],
"pagination": {
"total": 0,
"limit": 0,
"offset": 0,
"hasMore": true
}
}